<?php

use LibreNMS\RRD\RrdDefinition;

$requests = snmp_get($device, 'atswatts');

if (is_numeric($requests)) {
    $rrd_def = RrdDefinition::make()->addDataset('requests', 'GAUGE', 0);

    $fields = array(
            'requests' => $requests,
        );

    $tags = compact('rrd_def');
    data_update($device, 'atswatts', $tags, $fields);
    $graphs['atswatts'] = true;
}
